﻿<!DOCTYPE html>

<html lang="en">
<head>
    <meta charset="UTF=8">
    <meta name="viewport" content="width-device-width,initial-scale=1.0">
    <title>KTM Bike Parts</title>
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">

</head>
<body>
    <div class="container">
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <a class="navbar-brand" href="#"><h3>KTM Bike Parts</h3></a>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item">
                        <a class="nav-link" href="login.html" id="logout">Logout</a>
                    </li>
                </ul>
                <div hidden id="displayEmployeeName" style="margin-left: 50px"><strong>Employee Name</strong></div>
            </div>
        </nav>
    </div>
    <!--Contains two tables side by side-->
    <div class="container" style="margin-top: 30px">
        <div class="row">
            <!--Left table for making orders-->
            <div class="col-sm-8">
                <h2>Invoice</h2>
                <table id="invoice-table" class="table table-striped">
                    <caption id="invoice-table-caption">Add parts from parts list on the right</caption>
                    <thead>
                        <tr>
                            <th>Part Name</th>
                            <th>Quantity</th>
                            <th>Price</th>
                        </tr>
                    </thead>
                    <tbody id="invoice-table-body">
                    </tbody>
                    <tr id="invoice-total" hidden style="font-weight: bold">
                        <td>Total</td>
                        <td id="part-quantity-data"></td>
                        <td id="invoice-total-data"></td>
                    </tr>
                </table>
                <div id="no-part-msg" hidden>No part to delete</div>
                <div><button type="submit" id="save-invoice-button" class="btn btn-secondary">Save Invoice</button></div>
            </div>
            <!--Right table showing list of parts-->
            <div class="col-sm-4">
                <div>
                    <div><h2>Parts List</h2></div>

                    <!--Search bar in part table-->
                    <div class="input-group">
                        <div class="form-outline ">
                            <input onkeyup="searchPartByName()" type="text" id="search-box" class="form-control" placeholder="Search by Part Name" />
                        </div>                       
                    </div>
                </div>
                <table class="table table-striped" id="parts-table">
                    <thead>
                        <tr>
                            <th>Part Name</th>
                            <th>Price</th>
                            <th>+/-</th>
                        </tr>
                    </thead>
                    <tbody id="parts-table-body">
                    </tbody>                    
                </table>
                <!--Button for Add new part modal-->
                <button type="button" id="modal-button" class="btn btn-secondary" style="margin-bottom: 10px" data-bs-toggle="modal" data-bs-target="#addNewPartModal">Add New Part</button>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="addNewPartModal" tabindex="-1" aria-labelledby="modalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalLabel">Add New Part</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <!--Form to add New Part-->
                    <form id="add-new-part-form" style="margin-top: 30px">                        
                        <div class="row mb-3">
                            <label for="inputPartName" class="col-sm-3 col-form-label">Part Name</label>
                            <div class="col-sm-6">
                                <input type="text" class="form-control" id="inputPartName" required="" autofocus="">
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label for="inputRetailPrice" class="col-sm-3 col-form-label">Retail Price</label>
                            <div class="col-sm-6">
                                <input type="number" step="0.01" class="form-control" id="inputRetailPrice" required="" autofocus="">
                            </div>
                        </div>
                        <div hidden id="partAddedMsg"></div>
                        <div class="modal-footer">
                            <button style="margin-bottom:3px" type="submit" id="addPartButton" class="btn btn-primary">Add Part</button>
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <footer class="footer mt-auto py-3 bg-light">
            <span class="text-muted">© 2021 Get your bike and ride</span>
        </footer>
    </div>
    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js" integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0" crossorigin="anonymous"></script>

    <script src="../scripts/server-requests.js"></script>
    <script src="../scripts/parts-request.js"></script>
    <script src="../scripts/add-new-part.js"></script>
    <script src="../scripts/add-to-invoice.js"></script>
    <script src="../scripts/search-by-partname.js"></script>
    <script src="../scripts/save-invoice.js"></script>
</body>
</html>